// TYPE: C
// PRJ: JCL
// PGM: Jiro_Const
// VER: 1.10
// USES: GCC
// CREATE: 1999/02/21( Shiratori )
// UPDATE: 2009/08/18( hisa )
/////////////////////////////////////////////////////
#ifndef __JIRO_CONST__
#define __JIRO_CONST__

//***********************************************************
// 定数
//***********************************************************
#define kJIRO_UCHAR_MAX	255		// unsigned char 型の最大値
#define kJIRO_CHAR_MAX	127		// char 型の最大値

#define kJIRO_COMMA	','			// コンマ
#define kJIRO_DBLQT	'"'			// ダブルクウォーツ
#define kJIRO_CR	0x0D		// CR
#define kJIRO_LF	0x0A		// LF
#define kJIRO_TAB	0x09		// TAB

#define kJIRO_PI	3.141592653589793	// 円周率

// 最大サイズ add_hisa 090818
#define kMAX_EXTENSION			16		// 最大拡張子サイズ
#define kMAX_KEYWORD			256		// 最大キーワードサイズ
#define kMAX_VALUE				256		// 最大値サイズ
#define kMAX_LINE				1024	// 最大一行サイズ
#define kMAX_PATH				1024	// 最大パスサイズ

// パス区切り文字 add_hisa 090818
#if WIN32
#define kJIRO_SEPARATOR		"¥¥"
#else
#define kJIRO_SEPARATOR		"/"
#endif

// エンコーディング add_hisa 090818
#define kEncodingShiftJIS	"S-JIS"
#define kEncodingUTF8		"UTF-8"
#define kEncodingEUC		"EUC"
#define kEncodingASCII		"ASCII"
#define kEncodingLatin1		"Latin1"
#define kEncodingRTF		"RTF"
#define kEncodingISO2022JP	"ISO2022JP"
#define kEncodingUnknown	"Unknown"
#define kEncodingBinary		"Binary"

#endif
